from django.shortcuts import render, redirect
from .forms import UserRegistrationForm

"""
View untuk menangani halaman registrasi dan tampilan data.
"""

def index(request):
    """
    View untuk halaman utama.
    Mengarahkan pengguna ke halaman registrasi.
    """
    return redirect('main:register')  # Redirect ke halaman register

def register_view(request):
    """
    View untuk menampilkan dan memproses form registrasi.
    Jika form valid, data akan ditampilkan di halaman success.
    Jika tidak valid, form akan ditampilkan kembali dengan pesan error.
    """
    if request.method == 'POST':
        form = UserRegistrationForm(request.POST)
        if form.is_valid():
            # Tampilkan data yang valid
            return render(request, 'main/success.html', {'data': form.cleaned_data})
    else:
        form = UserRegistrationForm()
    return render(request, 'main/register.html', {'form': form})